Trends Radar (Beta)
Get one radar item with live stats (Beta)
GET
/
v2
/
radar
/
items
/
{item_id}
Get one radar item with live stats (Beta)
curl --request GET \
--url https://api.upriver.ai/v2/radar/items/{item_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.upriver.ai/v2/radar/items/{item_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.upriver.ai/v2/radar/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upriver.ai/v2/radar/items/{item_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.upriver.ai/v2/radar/items/{item_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.upriver.ai/v2/radar/items/{item_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upriver.ai/v2/radar/items/{item_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"item": {
"id": "<string>",
"type": "trend_moment",
"name": "<string>",
"description": "<string>",
"insight": "<string>",
"how_to_act": "<string>",
"brand_safety": "<string>",
"lifecycle_state": "<string>",
"momentum_ratio": 123,
"value_score": 123,
"stats": {},
"personas": [
{}
],
"program": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_updated": "2023-11-07T05:31:56Z",
"archived": false
},
"beta": "Beta: response shapes may change and this surface may converge with /v2/trends."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
⌘I
Get one radar item with live stats (Beta)
curl --request GET \
--url https://api.upriver.ai/v2/radar/items/{item_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.upriver.ai/v2/radar/items/{item_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.upriver.ai/v2/radar/items/{item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upriver.ai/v2/radar/items/{item_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.upriver.ai/v2/radar/items/{item_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.upriver.ai/v2/radar/items/{item_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upriver.ai/v2/radar/items/{item_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"item": {
"id": "<string>",
"type": "trend_moment",
"name": "<string>",
"description": "<string>",
"insight": "<string>",
"how_to_act": "<string>",
"brand_safety": "<string>",
"lifecycle_state": "<string>",
"momentum_ratio": 123,
"value_score": 123,
"stats": {},
"personas": [
{}
],
"program": "<string>",
"first_seen": "2023-11-07T05:31:56Z",
"last_updated": "2023-11-07T05:31:56Z",
"archived": false
},
"beta": "Beta: response shapes may change and this surface may converge with /v2/trends."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}